package com.goafanti.patent.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.goafanti.common.dao.PatentLogMapper;
import com.goafanti.common.model.PatentLog;
import com.goafanti.patent.service.PatentLogService;
@Service
public class PatentLogServiceImpl implements PatentLogService {
	@Autowired
	private PatentLogMapper patentLogMapper;

	@Override
	public PatentLog selectByPrimaryKey(String id) {
		return patentLogMapper.selectByPrimaryKey(id);
	}

	@Override
	public List<PatentLog> selectProcessByPid(String pid) {
		return patentLogMapper.selectProcessByPid(pid);
	}

	@Override
	public PatentLog insert(PatentLog patentLog) {
		patentLogMapper.insert(patentLog);
		return patentLog;
	}
	
	
}
